%global _changelog_trimtime %(date +%s -d "1 year ago")

%bcond_without qt5
%bcond_without qt6

Name:    qwt
Summary: Qt Widgets for Technical Applications
Version: 6.2.0
Release:    1%{?dist}

License: LGPLv2 with exceptions
URL:     http://qwt.sourceforge.net
Source0:  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2


Patch51: qwt-qt_install_paths.patch
Patch52: qwt-libsuffix.patch
Patch53: qwt-no_rpath.patch
Patch54: qwt-pkgconfig.patch

BuildRequires: make

%description
The Qwt library contains GUI Components and utility classes which are primarily
useful for programs with a technical background.
Besides a 2D plot widget it provides scales, sliders, dials, compasses,
thermometers, wheels and knobs to control or display values, arrays
or ranges of type double.


%package doc
Summary: Developer documentation for %{name}
BuildArch: noarch
%description doc
%{summary}.

%if %{with qt5}
%package qt5
Summary: Qt5 Widgets for Technical Applications
BuildRequires: pkgconfig(Qt5Concurrent) pkgconfig(Qt5PrintSupport) pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5OpenGL) pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Designer)
Provides: qwt6-qt5 = %{version}-%{release}
Provides: qwt6-qt5 = %{version}-%{release}
%description qt5
%{summary}.

%package qt5-devel
Summary:  Development files for %{name}-qt5
Provides: qwt6-qt5-devel = %{version}-%{release}
Provides: qwt6-qt5-devel = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}
%description qt5-devel
%{summary}.
%endif

%if %{with qt6}
%package qt6
Summary: Qt6 Widgets for Technical Applications
BuildRequires: pkgconfig(Qt6Concurrent) pkgconfig(Qt6PrintSupport) pkgconfig(Qt6Widgets)
BuildRequires: pkgconfig(Qt6OpenGL) pkgconfig(Qt6Svg)
BuildRequires: pkgconfig(Qt6Designer)
Provides: qwt6-qt6 = %{version}-%{release}
Provides: qwt6-qt6 = %{version}-%{release}
%description qt6
%{summary}.

%package qt6-devel
Summary:  Development files for %{name}-qt6
Provides: qwt6-qt6-devel = %{version}-%{release}
Provides: qwt6-qt6-devel = %{version}-%{release}
Requires: %{name}-qt6 = %{version}-%{release}
%description qt6-devel
%{summary}.
%endif


%prep
%autosetup -p1


%build
%if %{with qt5}
mkdir %{_target_platform}-qt5
pushd %{_target_platform}-qt5
%{qmake_qt5} QWT_CONFIG+=QwtPkgConfig ..

%make_build
popd
%endif

%if %{with qt6}
mkdir %{_target_platform}-qt6
pushd %{_target_platform}-qt6
%{qmake_qt6} QWT_CONFIG+=QwtPkgConfig ..

%make_build
popd
%endif


%install
%if %{with qt5}
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt5
%endif
%if %{with qt6}
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt6
%endif

mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}%{_mandir}

%if %{with qt5}
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/html %{buildroot}%{_mandir}/*
mv %{buildroot}%{_qt5_docdir}/html/html %{buildroot}%{_defaultdocdir}/%{name}/html
mv %{buildroot}%{_qt5_docdir}/html/man/man3 %{buildroot}%{_mandir}/

%if %{with qt6}
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/html %{buildroot}%{_mandir}/*
mv %{buildroot}%{_qt6_docdir}/html/html %{buildroot}%{_defaultdocdir}/%{name}/html
mv %{buildroot}%{_qt6_docdir}/html/man/man3 %{buildroot}%{_mandir}/
%endif
%endif


%files doc
%doc %{_defaultdocdir}/%{name}/
%{_mandir}/man3/*

%if %{with qt5}
%files qt5
%license COPYING
%doc README
%{_qt5_libdir}/libqwt-qt5.so.6*
%{_qt5_plugindir}/designer/libqwt_designer_plugin.so

%files qt5-devel
%{_qt5_headerdir}/qwt/
%{_qt5_libdir}/libqwt-qt5.so
%{_qt5_archdatadir}/mkspecs/features/qwt*
%{_qt5_libdir}/pkgconfig/Qt5Qwt6.pc
%endif

%if %{with qt6}
%files qt6
%license COPYING
%doc README
%{_qt6_libdir}/libqwt-qt6.so.6*
%{_qt6_plugindir}/designer/libqwt_designer_plugin.so

%files qt6-devel
%{_qt6_headerdir}/qwt/
%{_qt6_libdir}/libqwt-qt6.so
%{_qt6_archdatadir}/mkspecs/features/qwt*
%{_qt6_libdir}/pkgconfig/Qt6Qwt6.pc
%endif


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.2.0-1
- initial build
